<?php
// ExpectHeader.php
// Created: 2022-02-14
// Updated: 2023-01-01

namespace Index\Http\Headers;

use Index\Http\HttpHeader;

class ExpectHeader {
    private int $statusCode;
    private string $statusText;

    public function __construct(int $statusCode, string $statusText) {
        $this->statusCode = $statusCode;
        $this->statusText = $statusText;
    }

    public function getStatusCode(): int {
        return $this->statusCode;
    }

    public function getStatusText(): string {
        return $this->statusText;
    }

    public static function parse(HttpHeader $header): ExpectHeader {
        $value = explode('-', $header->getFirstLine(), 2);
        return new ExpectHeader((int)$value[0], $value[1] ?? '');
    }
}
